Subject: Re: [MEXT] Questions about the draft-ietf-mext-flow-binding-02

From: Hesham Soliman <[email-masked]>
Date: Fri, 03 Jul 2009 19:21:13 +1000

> Hello hesham
> 
>      I have read the draft-ietf-mext-flow-binding-02, and i have a question
> about the draft.
> 
> When the flow binding list is create for the MN, the HA or LMA must check the

=> The LMA is not supported in this draft, only the HA, MAP or CN can
receive a BU from the MN.

> type of the packet which is sent to the MN, and then check which Flow Binding
> Entry is matched with this packet. In the home link or LMA domian there maybe
> a lot of MNs, and checking the packet maybe cost some time, so it will affect
> the efficiency of packet forwarding seriously.

=> This is already done today by routers very efficiently for load balancing
different flows. The whole thing can be done in hardware on the fast path of
course using hash tables ...etc. There is nothing new in this draft to
warrant concerns about performance.

Hesham

> Wudi Ye
> 2009-7-2

---

From: Hesham Soliman <[email-masked]>
Date: Fri, 03 Jul 2009 22:15:52 +1000

Sorry forgot to copy the list.

------ Forwarded Message
> From: Hesham Soliman <[email-masked]>
> Date: Fri, 03 Jul 2009 19:48:24 +1000
> To: 叶武迪 <[email-masked]>
> Conversation: Questions about the draft-ietf-mext-flow-binding-02
> Subject: Re: Questions about the draft-ietf-mext-flow-binding-02
> 
> 
>> Dosen't it need Deep Packet Inspection for flow type checking?
> 
> => Not necessarily, it depends on how you defined the flow. If you only use
> protocols, addresses, spi, or even port numbers that should cover almost all
> of the use cases. Once the flow label is in use it would eliminate the need
> for port numbers. You only need deep inspections if you're looking for payload
> information, which I suspect will be a very rare case. But if that's needed
> then you should pay the price for that. But most firewalls do deep inspections
> today anyway. 
> 
> Hesham
> 
> 
> 
>>> 
>>> Hesham
>>> 
>>>> 
>>>> Wudi Ye
>>>> 
>>>> 2009-7-2
>>> 
>>> 

------ End of Forwarded Message